phpQuery

# Class: phpQueryEvents Source Location: /phpQueryEvents.php
### Class Overview
Event handling class. #### Author(s): Tobiasz Cudnik | ### Methods add getNode issetGlobal remove setNode trigger
### Class Details [line 9] Event handling class. #### Tags:
author: | Tobiasz Cudnik
abstract: |
[ Top ] ### Class Methods ### static method add [line 96]
`static void add( DOMNode|phpQueryObject|string $document, $node, unknown_type $type, unknown_type $data, [unknown_type $callback = null])`
Binds a handler to one or more events (like click) for each matched element. Can also bind custom events. #### Tags:
TODO: | support binding to global events
TODO: | support '!' (exclusive) events
TODO: | support more than event in $type (space-separated)
access: | public
#### Parameters:
DOMNode|phpQueryObject|string | $document |
unknown_type | $type |
unknown_type | $data | Optional
unknown_type | $callback |
| $node |
[ Top ] ### static method getNode [line 136]
`static void getNode( $documentID, $node)`
#### Tags:
access: | protected
#### Parameters:
| $documentID |
| $node |
[ Top ] ### static method issetGlobal [line 148]
`static void issetGlobal( $documentID, $type)`
#### Tags:
access: | protected
#### Parameters:
| $documentID |
| $type |
[ Top ] ### static method remove [line 123]
`static void remove( DOMNode|phpQueryObject|string $document, $node, [unknown_type $type = null], [unknown_type $callback = null])`
Enter description here... #### Tags:
TODO: | support more than event in $type (space-separated)
TODO: | namespace events
access: | public
#### Parameters:
DOMNode|phpQueryObject|string | $document |
unknown_type | $type |
unknown_type | $callback |
| $node |
[ Top ] ### static method setNode [line 142]
`static void setNode( $documentID, $node)`
#### Tags:
access: | protected
#### Parameters:
| $documentID |
| $node |
[ Top ] ### static method trigger [line 21]
`static void trigger( DOMNode|phpQueryObject|string $document, unknown_type $type, [unknown_type $data = array()], [ $node = null])`
Trigger a type of event on every matched element. #### Tags:
TODO: | support more than event in $type (space-separated)
TODO: | exclusive events (with !)
TODO: | global events (test)
access: | public
#### Parameters:
DOMNode|phpQueryObject|string | $document |
unknown_type | $type |
unknown_type | $data |
| $node |
[ Top ] Documentation generated on Tue, 18 Nov 2008 19:39:26 +0100 by phpDocumentor 1.4.2